> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-5/v5-8-1-14856.md).

# Version 5.8.1.14856

Discover the latest updates for PDFViewCtrl and Tools in this 2012 release. Enhancements to downloader, response to low memory, and more. Click to learn more! The Apryse iOS SDK streamlines secure doc

Release Date: 2012.08.22

## Changes to PDFViewCtrl:

* Improvements to downloader (OpenURL uses secondary thread, bug fixes)
* Improvements to response to low memory situations
* New onSetDoc tool delegate method
* New downloadError delegate method
* Miscellaneous bug fixes

## Changes to Tools:

* Tools now keep appearance on screen while underlying PDF is re-rendered
* Small bug fixes


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/ios/changelogs/version-5/v5-8-1-14856.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
